Package frc.robot.subsystems.swervedrive.swerve

## Enum SwerveModule.Verbosity

- java.lang.Object
- - java.lang.Enum<SwerveModule.Verbosity>
  - - frc.robot.subsystems.swervedrive.swerve.SwerveModule.Verbosity

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<SwerveModule.Verbosity>`
  Enclosing class:
    SwerveModule<DriveMotorType extends edu.wpi.first.wpilibj.motorcontrol.MotorController,​AngleMotorType extends edu.wpi.first.wpilibj.motorcontrol.MotorController,​AbsoluteEncoderType>

      public static enum SwerveModule.Verbosity
      extends java.lang.Enum<SwerveModule.Verbosity>

  Verbosity levels for data publishing,

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `HIGH` | Extensively use the CAN bus to fetch data and report back.
    `LOW` | The bare minimum and not utilize the CAN bus when reporting data.
    `NORMAL` | Utilize the CAN bus minimally.
    `SETUP` | Creates every field for the module.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `private` | `Verbosity()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SwerveModule.Verbosity` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static SwerveModule.Verbosity[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOW

          public static final SwerveModule.Verbosity LOW

      The bare minimum and not utilize the CAN bus when reporting data. Only posts data from attributes.

    - #### NORMAL

          public static final SwerveModule.Verbosity NORMAL

      Utilize the CAN bus minimally.

    - #### HIGH

          public static final SwerveModule.Verbosity HIGH

      Extensively use the CAN bus to fetch data and report back.

    - #### SETUP

          public static final SwerveModule.Verbosity SETUP

      Creates every field for the module.

  - ### Constructor Detail

    - #### Verbosity

          private Verbosity()

  - ### Method Detail

    - #### values

          public static SwerveModule.Verbosity[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SwerveModule.Verbosity c : SwerveModule.Verbosity.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SwerveModule.Verbosity valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null